# HG changeset patch
# User Lachlan Andrew <lachlanbis@gmail.com>
# Date 1470523640 -3600
#      Sat Aug 06 23:47:20 2016 +0100
# Node ID 0ff3bd7d2750d4a1c4e7b21f9e84564f50353114
# Parent  1723063e65f3b7598f3e5a690f0e85025cca3eb0
mahalanobis: alternative for performance improvement (bug #45877)

diff -r 1723063e65f3 -r 0ff3bd7d2750 scripts/deprecated/mahalanobis.m
--- a/scripts/deprecated/mahalanobis.m	Sat Aug 06 05:18:34 2016 +0100
+++ b/scripts/deprecated/mahalanobis.m	Sat Aug 06 23:47:20 2016 +0100
@@ -76,13 +76,10 @@
 
   w = (x' * x + y' * y) / (xr + yr - 2);
 
-  winv = inv (w);
-
-  retval = (xm - ym) * winv * (xm - ym)';
+  retval = sumsq ((xm - ym) / chol (w));
 
 endfunction
 
-
 ## Test input validation
 %!error mahalanobis ()
 %!error mahalanobis (1, 2, 3)
